#include "textureatlas.h"

TextureAtlasEntry textureArea(const int x, const int y, const int w, const int h, const TEXTURE *texture)
{
    const GLFix uperpx = GLFix(1) / texture->width;
    const GLFix vperpx = GLFix(1) / texture->height;

    return TextureAtlasEntry{
        .left = uperpx * x,
        .right = uperpx * (x+w),
        .top = vperpx * y,
        .bottom = vperpx * (y+h),
    };
}
