#ifndef GLDRAWABLE_H
#define GLDRAWABLE_H

#include "gl.h"

class GLDrawable
{
public:
    virtual ~GLDrawable() {}

    void setXPosition(GLFix x) { posX = x; }
    float getXPosition() const { return posX; }
    void setYPosition(GLFix y) { posY = y; }
    float getYPosition() const { return posY; }
    void setZPosition(GLFix z) { posZ = z; }
    float getZPosition() const { return posZ; }
    void setXRotation(GLFix x) { rotX = x; }
    float getXRotation() const { return rotX; }
    void setYRotation(GLFix y) { rotY = y; }
    float getYRotation() const { return rotY; }
    void setZRotation(GLFix z) { rotZ = z; }
    float getZRotation() const { return rotZ; }

    virtual void draw() = 0;

protected:
    GLFix posX = 0, posY = 0, posZ = 0;
    GLFix rotX = 0, rotY = 0, rotZ = 0;
};

#endif // GLDRAWABLE_H
